طريقة CreateLease
تنظيم صفحاتك في مجموعات
يمكنك حفظ المحتوى وتصنيفه حسب إعداداتك المفضّلة.
الطلب
CreateLeaseRequest
القيمة المعروضة
CreateLeaseResponse
المتطلبات:
يجب أن ينشئ الخلفية لدى الشريك lease_id ويتم ضبطه في CreateLeaseResponse.
يجب ضبط lease_expiration_time في CreateLeaseResponse.
إذا تم تحديد حقل الموارد في CreateLeaseRequest، يجب ضبطه في CreateLeaseResponse، ويجب أن يتطابق مع CreateLeaseRequest.
يجب ضبط جميع الحقول الأخرى في CreateLeaseResponse لتتطابق مع CreateLeaseRequest.
رموز الخطأ الأساسية في gRPC
INVALID_ARGUMENT (معرّف التاجر أو معرّف الخدمة أو المرجع الخاص بالعميل أو مواصفات وقت الحجز غير صالحة)
ALREADY_EXISTS (إذا كان العميل لديه عقد إيجار للمساحة الإعلانية)
RESOURCE_EXHAUSTED (في حال عدم توفّر الخانة)
// Request to create a [ext.maps.booking.partner.v0.Lease] for a slot in the// inventory. The expiration time in the returned Lease may be modified by the// backend, e.g. if the requested lease period is too long.messageCreateLeaseRequest{optionfeatures.(pb.java).nest_in_file_class=YES;// The lease to be created with information about the appointment slotLeaselease=1;}// Response for the [ext.maps.booking.partner.v0.CreateLease] RPC with the// created [ext.maps.booking.partner.v0.Lease]messageCreateLeaseResponse{optionfeatures.(pb.java).nest_in_file_class=YES;// The created [ext.maps.booking.partner.v0.Lease]Leaselease=1;}
تاريخ التعديل الأخير: 2026-02-18 (حسب التوقيت العالمي المتفَّق عليه)
[[["يسهُل فهم المحتوى.","easyToUnderstand","thumb-up"],["ساعَدني المحتوى في حلّ مشكلتي.","solvedMyProblem","thumb-up"],["غير ذلك","otherUp","thumb-up"]],[["لا يحتوي على المعلومات التي أحتاج إليها.","missingTheInformationINeed","thumb-down"],["الخطوات معقدة للغاية / كثيرة جدًا.","tooComplicatedTooManySteps","thumb-down"],["المحتوى قديم.","outOfDate","thumb-down"],["ثمة مشكلة في الترجمة.","translationIssue","thumb-down"],["مشكلة في العيّنات / التعليمات البرمجية","samplesCodeIssue","thumb-down"],["غير ذلك","otherDown","thumb-down"]],["تاريخ التعديل الأخير: 2026-02-18 (حسب التوقيت العالمي المتفَّق عليه)"],[],["The `CreateLeaseRequest` initiates a lease creation, and `CreateLeaseResponse` returns the created lease. The partner backend must generate the `lease_id` and `lease_expiration_time` in the response. If `resources` is in the request, it must be mirrored in the response. All other response fields should mirror the request. Potential gRPC errors include `INVALID_ARGUMENT`, `ALREADY_EXISTS` if a lease exists, or `RESOURCE_EXHAUSTED` if the slot is unavailable. The response might adjust the expiration time.\n"]]